%global momorel 2

Summary: Fedora icon theme
Name: fedora-icon-theme
Version: 1.0.0
Release: %{momorel}m%{?dist}
License: GPL+
URL: http://www.redhat.com/
Group: User Interface/Desktops
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: gtk2-common
Requires: gnome-themes
Provides: system-icon-theme
BuildArch: noarch

%description
This package contains the Fedora icon theme.

%prep
%setup -q

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/Fedora/{16x16,24x24,32x32,48x48}/apps
install -m 644 theme/16x16/apps/openofficeorg-*.png %{buildroot}%{_datadir}/icons/Fedora/16x16/apps
install -m 644 theme/24x24/apps/openofficeorg-*.png %{buildroot}%{_datadir}/icons/Fedora/24x24/apps
install -m 644 theme/32x32/apps/openofficeorg-*.png %{buildroot}%{_datadir}/icons/Fedora/32x32/apps
install -m 644 theme/48x48/apps/openofficeorg-*.png %{buildroot}%{_datadir}/icons/Fedora/48x48/apps
install -m 644 theme/48x48/apps/redhat-*.png %{buildroot}%{_datadir}/icons/Fedora/48x48/apps
install -m 644 theme/48x48/apps/temp-home.png %{buildroot}%{_datadir}/icons/Fedora/48x48/apps

# install index.theme
install -m 644 theme/index.theme %{buildroot}%{_datadir}/icons/Fedora/

# link icons for backward compatibility
mkdir -p %{buildroot}%{_datadir}/pixmaps
(cd %{buildroot}%{_datadir}/pixmaps;
   for icon in ../icons/Fedora/48x48/apps/{redhat-,temp-home}*.png; do
       ln -s $icon .
   done
)

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/Fedora
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache -f --quiet %{_datadir}/icons/Fedora || :
fi

%postun
touch --no-create %{_datadir}/icons/Fedora
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache -f --quiet %{_datadir}/icons/Fedora || :
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/icons/Fedora
%{_datadir}/pixmaps/*.png

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-2m)
- rebuild against rpm-4.6

* Fri May 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-1m)
- initial package for Momonga Linux

* Tue Sep 25 2007 Ray Strode <rstrode@redhat.com> - 1.0.0-1
- Initial import, version 1.0.0
